%define module_name	 cifs
%define module_version	 1.20
%define upstream_version 1.20c

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1
Provides: kernel-source-%module_name-%module_version
Summary: Linux CIFS VFS module sources for 2.4 kernels
License: GPL
Group: Development/Kernel
Url: http://samba.org/samba/Linux_CIFS_client.html
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: http://www.samba.org/samba/ftp/cifs-cvs/%module_name-%upstream_version-2.4.tar.gz

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux CIFS VFS module sources for 2.4 kernels

%prep
%setup -q -c
%__mv linux/fs/cifs %name-%version

%install
%__mkdir_p %kernel_srcdir
tar -cjf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1.20-alt1
- Updated to version 1.20c.
- Removed obsolete patches.

* Thu Apr 08 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt1
- Updated to version 1.0.2b.
- Use original tarball as source.
- Fixed directory name in the generated tarball.
- Dropped hacked Rules.make (compiling via kernel build system works better).
- Added patches to fix problems with writing large files:
  + cifs-1.0.2-demux-memalloc.patch: fix deadlock in cifs_demultiplex_thread()
  + cifs-1.0.2-sock-alloc.patch: avoid fs reenter in socket memory allocation
  + cifs-1.0.2-send-sigmask.patch: block signals in SendReceive to avoid
    spurious errors
  + cifs-1.0.2-send-count.patch: fix sock_sendmsg() partial write handling in
    smb_send()

* Tue Feb 03 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.9.9-alt1
- Updated to version 0.9.9a

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.3-alt1
- Initial release
- Added:
   + ability to build module outside of the kernel source directory

